#pragma once
#include "ClientFacade.h"

class ClientConsole : public ClientFacade
{
private:
	static ClientConsole* _instance;
	int queue_size_value_service1;
	int average_time_value_service1;
	double average_queue_size_value_service1;
	int queue_size_value_service2;
	double average_time_value_service2;
	double average_queue_size_value_service2;
	int queue_size_value_service3;
	double average_time_value_service3;
	double average_queue_size_value_service3;
	int queue_size_value_service4;
	double average_time_value_service4;
	double average_queue_size_value_service4;
	int queue_size_value_service5;
	double average_time_value_service5;
	double average_queue_size_value_service5;
	int number_arrivals_value;
	double average_time_service_suits_flaw_value;
	double average_time_service_suits_value;
	int number_suits_flaw_value;
	int number_suits_value;
	int queue_size_coat_value;
	int queue_size_pants_value;
	double average_time_coat_value;
	double average_time_pants_value;
	double average_queue_size_coat_value;
	double average_queue_size_pants_value;
	bool isContinuous;
public:
	static ClientConsole* instance();
	ClientConsole(void);
	void start();
	void ClientFacade::updateStep();
	void ClientFacade::updateMultipleSimulations();
	void ClientFacade::updateSimulation();
	void paintUpdateStep();
};
